Page MenuHomePhabricator

(Need by: ) codfw:rack/setup/new management switches
Closed, ResolvedPublic

Description

This task will track the racking, setup, of new management switches received in T251580

Row A

  • - msw-a1-codfw July 2nd
  • - msw-a2-codfw July 2nd
  • - msw-a3-codfw July 2nd
  • - msw-a4-codfw July 2nd
  • - msw-a5-codfw July 7th
  • - msw-a6-codfw July 7th
  • - msw-a7-codfw July 7th
  • - msw-a8-codfw July 7th

Row B

  • - msw-b1-codfw July 9th
  • - msw-b2-codfw July 9th
  • - msw-b3-codfw July 9th
  • - msw-b4-codfw July 9th
  • - msw-b5-codfw Aug 11th
  • - msw-b6-codfw Aug 11th
  • - msw-b7-codfw Aug 11th
  • - msw-b8-codfw Aug 11th

Row C

  • - msw-c1-codfw Aug 18th
  • - msw-c2-codfw Aug 18th
  • - msw-c3-codfw Done
  • - msw-c4-codfw Aug 18th
  • - msw-c5-codfw Aug 27th
  • - msw-c6-codfw Aug 27th
  • - msw-c7-codfw Aug 27th
  • - fmsw-c8-codfw Aug 27th

Row D

  • - msw-d1-codfw Sep 17th
  • - msw-d2-codfw Sep 17th
  • - msw-d3-codfw Sep 17th
  • - msw-d4-codfw Sep 17th
  • - msw-d5-codfw Sep 17th
  • - msw-d6-codfw Sep 17th
  • - msw-d7-codfw Sep 17th
  • - msw-d8-codfw Sep 17th
  • - msw-c8-codfw Sep 21st

Event Timeline

Papaul created this task.May 19 2020, 7:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 19 2020, 7:47 PM
Papaul renamed this task from (Need by: End of July-2020 codfw:rack/setup/new management switches to (Need by: End of July-2020 ) codfw:rack/setup/new management switches .May 19 2020, 7:49 PM
Papaul claimed this task.
Papaul triaged this task as Medium priority.
Papaul added projects: ops-codfw, netops.
Papaul updated the task description. (Show Details)
Restricted Application added a project: Operations. · View Herald TranscriptMay 19 2020, 7:49 PM
Papaul updated the task description. (Show Details)May 20 2020, 9:40 PM
Papaul updated the task description. (Show Details)May 28 2020, 9:31 PM
Papaul updated the task description. (Show Details)Jun 8 2020, 9:40 PM

@wiki_willy in C8 we have two msw (fmsw-c8 and msw-c8) which msw are we going to replace since we have only 1 new mgmt switch per rack.

@Papaul - if we're short by one msw from upgrading everything, then I would say to not upgrade the most recent msw that you have at codfw. And we can purchase another one next quarter, to replace it. Thanks, Willy

Papaul added a subscriber: Jgreen.Jun 23 2020, 3:45 PM

@Jgreen I added you to this task so you can keep in track of the replacement of the mgmt switch fmsw-c8.

Papaul updated the task description. (Show Details)Jun 23 2020, 3:54 PM
Papaul updated the task description. (Show Details)Jul 2 2020, 9:30 PM
Papaul updated the task description. (Show Details)Jul 8 2020, 12:51 AM
Papaul updated the task description. (Show Details)Jul 10 2020, 1:21 AM
Papaul renamed this task from (Need by: End of July-2020 ) codfw:rack/setup/new management switches to (Need by: ) codfw:rack/setup/new management switches .Jul 14 2020, 11:58 PM
Papaul updated the task description. (Show Details)
Papaul updated the task description. (Show Details)Aug 6 2020, 12:36 AM
Papaul updated the task description. (Show Details)Aug 11 2020, 4:22 PM

Please make sure to update the cables in Netbox: https://netbox.wikimedia.org/dcim/devices/2133/

Now that the switches are managed by Homer/Netbox there are some outstanding diffs:

Changes for 1 devices: ['msw1-codfw.mgmt.codfw.wmnet']

[edit interfaces ge-0/0/12]
-   description "Core: msw-b5-codfw:49 {#10041}";
+   description "Core: msw-b5-codfw-decom:49 {#10041}";
[edit interfaces ge-0/0/13]
-   description "Core: msw-b6-codfw:49 {#10040}";
+   description "Core: msw-b6-codfw-decom:49 {#10040}";
[edit interfaces ge-0/0/14]
-   description "Core: msw-b7-codfw:49 {#10039}";
+   description "Core: msw-b7-codfw-decom:49 {#10039}";
[edit interfaces ge-0/0/15]
-   description "Core: msw-b8-codfw:49 {#10038}";
+   description "Core: msw-b8-codfw-decom:49 {#10038}";

This should clear up as soon as Netbox is updated.

Papaul updated the task description. (Show Details)Aug 18 2020, 5:56 PM
Papaul updated the task description. (Show Details)Aug 25 2020, 5:07 PM

@Jgreen is it okay for me to replace fmsw on the 27th (start time 9:30am end time 11:30am) CT

@Jgreen is it okay for me to replace fmsw on the 27th (start time 9:30am end time 11:30am) CT

Yes, no problem.

Papaul updated the task description. (Show Details)Aug 27 2020, 3:23 PM
RobH added a parent task: Unknown Object (Task).Sep 1 2020, 3:16 PM
Papaul updated the task description. (Show Details)Sep 14 2020, 1:32 PM
Papaul updated the task description. (Show Details)Sep 16 2020, 5:15 PM
Papaul updated the task description. (Show Details)Sep 17 2020, 3:49 PM
Papaul updated the task description. (Show Details)Sep 17 2020, 4:14 PM
Papaul updated the task description. (Show Details)Sep 17 2020, 4:48 PM
Papaul closed this task as Resolved.Sep 21 2020, 4:27 PM
Papaul updated the task description. (Show Details)